### Method

# Camel NetworkSettings set_auth_mechanism

since: 3.4

#### Declaration [src]

    void
    camel_network_settings_set_auth_mechanism (
      CamelNetworkSettings* settings,
      const gchar* auth_mechanism
    )

#### Description [src]

Sets the mechanism name used to authenticate to a network service. Often this refers to a SASL mechanism such as “LOGIN” or “GSSAPI”. The `CamelNetworkSettings:auth-mechanism` property is automatically stripped of leading and trailing whitespace.

Available since: 3.4

Sets property | `Camel.NetworkSettings:auth-mechanism`

#### Parameters

`auth_mechanism`

  Type: `const gchar*`

  An authentication mechanism name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.